from .entity import Entity
import random


class PlayerPhases:
    NONE = 0
    CFRAME_CONNECT = 1
    CFRAME_CONNECTED = 2
    DN_INTERNAL_MESSAGE_PLAYER_CONNECT_INFO_EX = 3
    DN_SEND_CONNECT_INFO = 4
    DN_ACK_CONNECT_INFO = 5


class Player(Entity):
    def __init__(self, name, session):
        super().__init__()
        self.name = name
        self.session = session
        self.team = 1
        self.score = 0
        self.id = random.getrandbits(32)
        self.phase = PlayerPhases.NONE
